com.taosdata.jdbc.ws.tmq.entity

## Class PositionResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.tmq.entity.PositionResp

    public class PositionResp
    extends CommonResp

### Constructor Summary

Constructors
Constructor and Description
`PositionResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `getPosition()`
`long` `getTiming()`
`void` `setPosition(long[] position)`
`void` `setTiming(long timing)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PositionResp

    public PositionResp()

### Method Detail

#### getTiming

    public long getTiming()

#### setTiming

    public void setTiming(long timing)

#### getPosition

    public long[] getPosition()

#### setPosition

    public void setPosition(long[] position)